Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/2911/?format=api
{ "ob_id": 2911, "uuid": "e8b83d5b1f626c265d50e502e4b3eccd", "title": "ACSOE OXICOA FREETEX-96: Ozone and Radical Chemistry Data from Jungfraujoch High Alpine Research Station", "abstract": "The Atmospheric Chemistry Studies in the Oceanic Environment (ACSOE) was a 5-year Natural Environment Research Council (NERC) programme on tropospheric chemistry coordinated by the University of East Anglia and involving research groups from a number of UK universities and research institutes. The project had three consortia of UK institutes and universities, each of which focused on a different scientific topic. OXICOA (OXIdising Capacity of the Ocean Atmosphere) was a study of oxidant, radical and related gas-phase chemistry in the clean and moderately polluted marine atmosphere. The FREETEX (Free Troposphere Experiment) campaigns as part of ACSOE-OXICOA were carried to collect data. The dataset includes measurements of ozone (O3, NOx, NOy, HNO3, PAN, CO, HO2 + RO2, HCHO, VOCs, etc.), at the Jungfraujoch High Alpine Research Station (3,580m above sea level) over a five-week period in 1996 and again in 1998.", "keywords": "ACSOE, OXICOA, FREETEX", "publicationState": "published", "dataPublishedTime": "2007-03-23T23:35:16", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2912/?format=api", "dataPath": "/badc/acsoe/data/freetex-96", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 8133133, "numberOfFiles": 7, "fileFormat": null }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3559/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/739/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected over a five week period in 1996 and again in 1998, by remote field sites (Mace Head, Ireland; Weybourne, Norfolk; Tenerife), from the NERC research vessels Challenger and Discovery and aboard the Meteorological Research Flight C-130 and the Cranfield Jetstream aircrafts. Data acquired by BADC for archiving as programme was underway. All files are written as ASCII and consist of a single header followed by one or several tables.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2008/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12821/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/2910/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13106/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13111/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13109/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13110/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13175/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13105/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13108/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13107/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13112/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13116/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13121/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13149/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/13174/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/2917/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }